function [p1 q1 pR qR] = ReactionDiffusionBC(x1,u1,xr,ur,t,p)
%BCs Homogenous Neuman boundary condition at center, Dirichlet (but as a
%function of time) at outside
CA_t = p{5};
p1 = 0;
q1 = 1;
ts = CA_t(:,1);
CAs = CA_t(:,2);
CA_0 = interp1(ts,CAs,t);
pR = ur-CA_0;
qR = 0;
end
