function out = analyzeFile3D_simple(img,threshold)
    % Rescale to interval [0,1] for each channel
    redLayer = double(img(:,:,:,1));
    greenLayer = double(img(:,:,:,2));
%     blueLayer = img(:,:,:,3);
    redLayer_double = (double(redLayer)-min(min(min(redLayer))))/(max(max(max(redLayer)))-min(min(min(redLayer))));
    greenLayer_double = (double(greenLayer)-min(min(min(greenLayer))))/(max(max(max(greenLayer)))-min(min(min(greenLayer))));
%     blueLayer_double = (double(blueLayer)-min(min(min(blueLayer))))/(max(max(max(blueLayer)))-min(min(min(blueLayer))));
% Generate mask
    mask = redLayer_double>=threshold | greenLayer_double>=threshold;
% Calculate properties
    stats = regionprops3(mask);
    volumes = [stats.Volume];
    out = volumes;

    