function dy = reactionODE(t,x,P)
% Extract paramters
phi = P{1};
Beta = P{2};
K = P{3};
n = P{4};
volumeFraction = P{6};
% Changes by the amount made (which is a constant term plus a Hill
% function)
dy = volumeFraction*(1 + Beta * (x.^n)/(K.^n + x.^n));
end